summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWinston Wu2017-08-21 15:37:49 +0000
committerWinston Wu2017-08-21 15:37:49 +0000
commit4f04e7f91a6e6db6569e6ab8c2577cc8bfe6f790 (patch)
treecd1d287e399315167ff1ca1a54ec47142a7d0a1f
parent8e58f61965f5292165ff7e08122dc5f77ba56fdf (diff)
downloadaur-4f04e7f91a6e6db6569e6ab8c2577cc8bfe6f790.tar.gz
Corrected boost, flex and bzip2 library dependencies of OpenFOAM 3.0.x
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD25
2 files changed, 21 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 34ba01109db..a8d4aefdb2c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Wed Apr 13 05:35:23 UTC 2016
+# Mon Aug 21 15:36:45 UTC 2017
pkgbase = openfoam3.0-git
pkgdesc = The open source CFD toolbox
pkgver = 20160404.ac3f6c6
diff --git a/PKGBUILD b/PKGBUILD
index a5a0f398551..23aeaf3ee4b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,5 +1,6 @@
# Original Contributor: aquavitae <aquavitae69: gmail>
# Current Maintainer: Andrew Fischer <andrew_at_ltengsoft.com>
+# Packager: Heavysink
pkgname=openfoam3.0-git
@@ -7,15 +8,15 @@ pkgname=openfoam3.0-git
_distpkgname=OpenFOAM
_distpkgver=3.0.x
_gitname=$_distpkgname-$_distpkgver
-pkgver=20160404.ac3f6c6
-pkgrel=1
+pkgver=20170710.221b8ab7
+pkgrel=2
pkgdesc="The open source CFD toolbox"
arch=('i686' 'x86_64')
url="http://www.openfoam.com"
license=('GPL')
groups=()
depends=('cgal' 'paraview' 'parmetis' 'scotch' 'boost')
-makedepends=('git')
+makedepends=('git' 'flex')
optdepends=()
replaces=()
backup=()
@@ -24,14 +25,18 @@ source=(git+https://github.com/OpenFOAM/OpenFOAM-3.0.x.git
'decomp-options.patch'
'paraFoam.patch'
'scotch-options.patch'
+ 'boost.patch'
'prefs.sh'
- 'scotch.sh')
+ 'scotch.sh'
+ 'paraview.sh')
noextract=()
install=openfoam.install
md5sums=('SKIP'
'dcb09c65c450601203f48f7d5177ced2'
'fb84ecc41b63304064b88ee3291513be'
- 'a877abc5d13797b20c113ccaeae59936'
+ '905fbd21aa780a57530d65818425ec6c'
+ 'e0bc9bb43c48acbe06fc834cb93ce949'
+ 'SKIP'
'SKIP'
'SKIP')
@@ -60,16 +65,26 @@ build() {
echo "export SCOTCH_ARCH_PATH=/usr" >> $startdir/scotch.sh
cp $startdir/scotch.sh $srcdir/$_gitname/etc/config || return 1
+ # Generate the paraview.sh file for Paraview plugin
+ sed -i -e "s|paraviewversion|ParaView_VERSION=${_pversion}|g" ${srcdir}/paraview.sh
+ sed -i -e "s|paraviewmajor|ParaView_MAJOR=${_pmajor}|g" ${srcdir}/paraview.sh
+ cp ${srcdir}/paraview.sh ${srcdir}/${_distpkgname}-3.0.x/etc/config #|| return 1
+
# Patch for archlinux parmetis, paraview and openmpi paths, and ptscotch link lines
patch -p1 < $startdir/decomp-options.patch
patch -p1 < $startdir/paraFoam.patch
patch -p1 < $startdir/scotch-options.patch
+ patch -p1 < $startdir/boost.patch
# Setup the build environment
export FOAM_INST_DIR=$srcdir
foamDotFile=$srcdir/$_gitname/etc/bashrc
[ -f $foamDotFile ] && . $foamDotFile || return 1
+ #Fix flex version
+ cd ${srcdir}/$_gitname
+ find . -name '*.L' -print -exec sed -i -e 's|YY_FLEX_SUBMINOR_VERSION < 34|YY_FLEX_SUBMINOR_VERSION < 34 \&\& YY_FLEX_MINOR_VERSION < 6|g' {} \;
+
# Enter build directory
cd "$srcdir/$_gitname" || return 1